// kk_dsg_headxxx --  22/01/2016
// Script to effect a head disguise only
// Created By: Kitty Kitty - PM comments to me on http://www.lucasforums.com/

/* Set HEAD parameter to body disguise, always set BODY to 0. All headxxx
scripts store new HEAD from the value set here. BODY value is read from the
global and left unaltered since we don't need zero values saved.            */

#include "kk_inc_dsg"

void main() {
  int iNewBody = 0;               // HEAD is 0 for all headxxx scripts.
  int iNewHead = 385;             // Set BODY type here.

  BandUser = KK_GetNPC();         // Determine armband user.
  SetPartyLeader(BandUser);       // Switch leader to user after dialogue.
  KK_SetData(iNewBody, iNewHead); // update and save globals.
  // Call main function with new HEAD value (skips setting body).
  KK_ApplyDisguise(KK_GetBaseApp(), iNewBody, iNewHead);
}
